Bug 861126 - [TEXT] Querying export domain content when domain is inaccessible yields: "engine: IRSErrorException: Failed to GetVmsInfoVDS, error = Operation stuck on remote handler" message in engine log
[TEXT] Querying export domain content when domain is inaccessible yields: "en...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: 3.2.0
Assigned To: Liron Aravot
vvyazmin@redhat.com
storage
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-09-27 11:11 EDT by Dafna Ron
Modified: 2016-02-10 12:14 EST (History)
10 users (show)

See Also:
Fixed In Version: sf3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (440.03 KB, application/x-gzip)
2012-09-27 11:11 EDT, Dafna Ron
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10440 None None None Never

  None (edit)
Description Dafna Ron 2012-09-27 11:11:17 EDT
Created attachment 618141 [details]
logs

Description of problem:

when export domain is inaccessible and we try to query it (by selecting the VMs or Templates tab under storage domain) we are getting:
IRSErrorException: Failed to GetVmsInfoVDS, error = Operation stuck on remote handler

Version-Release number of selected component (if applicable):

si19

How reproducible:

100%

Steps to Reproduce:
1. block Export domain 
2. Storage tab -> select Export domain -> sub tab vms/templates
3.
  
Actual results:

we are getting an unclear error in log:

IRSErrorException: Failed to GetVmsInfoVDS, error = Operation stuck on remote handler

Expected results:

we should get a more user friendly error that storage domain is inaccessible and we failed to query the domain. 


Additional info: logs
Comment 1 Barak 2012-10-02 08:41:33 EDT
Please attach VDSM logs as well.
Comment 2 Dafna Ron 2012-10-02 09:14:16 EDT
its already attached
Comment 3 Ayal Baron 2012-11-07 05:09:11 EST
Dafna, is there any event / message in the GUI? if so, what is displayed to the user?
Comment 4 Dafna Ron 2012-11-07 07:40:16 EST
I do not recall seeing any event or message in UI until domain has been deactivated. 
can we change both the log error and create an alert in event log?
Comment 5 Liron Aravot 2012-12-27 12:29:33 EST
pushed upstream
http://gerrit.ovirt.org/10440
Comment 6 vvyazmin@redhat.com 2013-01-16 06:01:52 EST
Verified on RHEVM 3.2 - SF03 environment 

RHEVM: rhevm-3.2.0-4.el6ev.noarch
VDSM: vdsm-4.10.2-3.0.el6ev.x86_64
LIBVIRT: libvirt-0.10.2-13.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.348.el6.x86_64
SANLOCK: sanlock-2.6-2.el6.x86_64

in /var/log/ovirt-engine/engine.log I get:
IRSErrorException: IRSGenericException: IRSErrorException: Failed to GetVmsInfoVDS, error = Storage domain does not exist: ('8a3be915-f8c3-4ab7-b929-16a50cd9cd42',)
Comment 7 Itamar Heim 2013-06-11 05:38:23 EDT
3.2 has been released
Comment 8 Itamar Heim 2013-06-11 05:38:26 EDT
3.2 has been released
Comment 9 Itamar Heim 2013-06-11 05:52:35 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.